Windows 7平台安装Oracle Client 10g版本时需要做的一点变更-阿里云开发者社区

开发者社区> 数据库> 正文
登录阅读全文

Windows 7平台安装Oracle Client 10g版本时需要做的一点变更

简介: 新发的笔记本,Windows 7 Pro,需要安装Oracle Client,同事给了一个10g的版本。安装过程中提示: “正在检查操作系统要求… 要求的结果: 5.0,5.1,5.2,6.0 之一实际结果: 6.1 检查完成。

新发的笔记本,Windows 7 Pro,需要安装Oracle Client,同事给了一个10g的版本。安装过程中提示:

“正在检查操作系统要求… 要求的结果: 5.0,5.1,5.2,6.0 之一实际结果: 6.1 检查完成。

此次检查的总体结果为: 失败 <<<< 问题: Oracle Database 10g 未在当前操作系统中经过认证。

 

这个问题网上有很多帖子回复,其实很简单,Orace软件会依赖于refhost.xml这个文件中定义的操作系统类型来识别。10g版本该文件总共有两个,位置分别是:/stage/prereq/client和/stage/prereq/client_prereqs/client,可以看见里面定义了不同类型的操作系统,10g出现的时候还没有Windows 7,因此原始版本没有定义这个类型的操作系统配置,只需要手工加入Windows 7的配置,让Oracle安装时可以知晓这个操作系统类型即可。

添加内容:

<!--Microsoft Windows 7-->

<OPERATING_SYSTEM>

    <VERSION VALUE="6.1"/>

</OPERATING_SYSTEM>

 

 

 

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享: